<?php
/*
    Read XML structure to associative array
    --
    Using:
    $xml = new XMLReader();
    $xml->open([XML file]);
    $assoc = xml2assoc($xml);
    $xml->close();
*/
function xml2assoc($xml) { // http://www.php.net/manual/en/class.xmlreader.php
	$assoc = null;
	while($xml->read()){
		switch ($xml->nodeType) {
			case XMLReader::END_ELEMENT: return $assoc;
			case XMLReader::ELEMENT:
			$assoc[$xml->name][] = array('value' => $xml->isEmptyElement ? '' : xml2assoc($xml));
			if($xml->hasAttributes){
				$el =& $assoc[$xml->name][count($assoc[$xml->name]) - 1];
				while($xml->moveToNextAttribute()) $el['attributes'][$xml->name] = $xml->value;
			}
			break;
			case XMLReader::TEXT:
			case XMLReader::CDATA: $assoc .= $xml->value;
		}
	}
	return $assoc;
}

function setXML ($file){
	//  Է
	$args = '<?xml version="1.0" encoding="utf-8"?>' . "\r<widget_info>\r";
	foreach(Context::get('widget_info') as $key => $val) {
		$args = $args . "<" . $key . ">" . htmlspecialchars($val) . "</" . $key . ">\r";
	}
	$args = $args . "</widget_info>";
	// xml ۼ
	$fr = fopen( $file , 'w+');
	fputs($fr, $args);
	fclose($fr);
}

?>