<?php

    class elkha_FAQ extends WidgetHandler {

        /**
         * @brief 위젯의 실행 부분
         * ./widgets/위젯/conf/info.xml 에 선언한 extra_vars를 args로 받는다
         * 결과를 만든후 print가 아니라 return 해주어야 한다
         **/

        function proc($args) {
            // 위젯 변수 설정

			if($args->tag) $widget_info->tag = $args->tag;
			if($args->word) $widget_info->word = $args->word;
			//if($args->colorset) $widget_info->colorset = $args->colorset;

			$widget_info->num = 1;
			for($i=1; $i<=25; $i++ ) {
				if($args->{"title" . $i} && $args->{"comment" . $i}) {
					if( preg_match("/<|>/",$args->{"comment" . $i})) $widget_info->tag = 'include'; // 컨텐츠에 태그가 포함된 경우 include 으로 처리

					$widget_info->{"title_" . $widget_info->num} =  $args->{"title" . $i};
					$widget_info->{"comment_" . $widget_info->num} =  $args->{"comment" . $i};
					$widget_info->num++; // 질문과 답변 입력

				}
			}

			$widget_info->num--;
			Context::set('widget_info', $widget_info);

            // 배너 이미지를 header에 추가

            // 템플릿의 스킨 경로를 지정 (skin, colorset에 따른 값을 설정)
            $tpl_path = sprintf('%sskins/%s', $this->widget_path, $args->skin);
            Context::set('colorset', $args->colorset);

            // 템플릿 파일을 지정
            $tpl_file = 'faq';

            // 템플릿 컴파일
            $oTemplate = &TemplateHandler::getInstance();
            return $oTemplate->compile($tpl_path, $tpl_file);
        }
    }
?>
